Package org.eclipse.net4j.db

## Class Batch

- java.lang.Object
- - org.eclipse.net4j.db.Batch

- All Implemented Interfaces:
    `java.lang.AutoCloseable`

      public final class Batch
      extends java.lang.Object
      implements java.lang.AutoCloseable

  Since:
    4.11
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Batch​(java.sql.Connection connection, java.lang.String... sqls)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(java.lang.String sql)` |
    `void` | `clear()` |
    `void` | `close()` |
    `int[]` | `execute()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Batch

          public Batch​(java.sql.Connection connection,
                       java.lang.String... sqls)

  - ### Method Detail

    - #### add

          public void add​(java.lang.String sql)

    - #### clear

          public void clear()

    - #### execute

          public int[] execute()

    - #### close

          public void close()
                     throws DBException

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `DBException`